ReadySetGoGraphInternal::Shape Struct Reference documentation

ReadySetGoGraphInternal::Shape Struct Reference

Internal: a shape in a ReadySetGoGraph document. More...

## Public Types
enum | Type { T_Empty , T_Line , T_Oval , T_Picture , T_Polygon , T_Rectangle , T_RectOval , T_Text , T_Unknown }
| the shape type More...

## Public Member Functions
| Shape (Type type)
| constructor

## Public Attributes
Type | m_type
| the shape type
MWAWBox2f | m_box
| the bounding box
int | m_rotate
| the shape rotation: v6
MWAWGraphicStyle | m_style
| the graphic style
int | m_groupId
| the group id: v6
bool | m_wrapRoundAround
| the round around wraping flag
MWAWVec2f | m_points [2]
| the line points
MWAWVec2i | m_cornerSize
| the corner size: rectangle oval
std::vector< MWAWVec2f > | m_vertices
| the list of vertices : polygon
int | m_textPositions [2]
| the text limits: v4
int | m_textId
| the text link id
int | m_linkIds [2]
| the text links: prev/next
MWAWParagraph | m_paragraph
| the paragraph style
bool | m_hasPicture
| a flag to know if a picture is empty or not
MWAWEntry | m_entries [3]
| the zone entries: picture or text zones

## Detailed Description

Internal: a shape in a ReadySetGoGraph document.

## Member Enumeration Documentation

## ◆ Type

enum ReadySetGoGraphInternal::Shape::Type

the shape type

Enumerator
T_Empty |
T_Line |
T_Oval |
T_Picture |
T_Polygon |
T_Rectangle |
T_RectOval |
T_Text |
T_Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

ReadySetGoGraphInternal::Shape::Shape | ( | Type | type | ) |
| inlineexplicit

constructor

## Member Data Documentation

## ◆ m_box

MWAWBox2f ReadySetGoGraphInternal::Shape::m_box

the bounding box

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::send(), and Shape().

## ◆ m_cornerSize

MWAWVec2i ReadySetGoGraphInternal::Shape::m_cornerSize

the corner size: rectangle oval

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::send(), and Shape().

## ◆ m_entries

MWAWEntry ReadySetGoGraphInternal::Shape::m_entries[3]

the zone entries: picture or text zones

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::send(), and ReadySetGoGraph::sendText().

## ◆ m_groupId

int ReadySetGoGraphInternal::Shape::m_groupId

the group id: v6

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV6(), and Shape().

## ◆ m_hasPicture

bool ReadySetGoGraphInternal::Shape::m_hasPicture

a flag to know if a picture is empty or not

Referenced by ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), and Shape().

## ◆ m_linkIds

int ReadySetGoGraphInternal::Shape::m_linkIds[2]

the text links: prev/next

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::sendText(), and Shape().

## ◆ m_paragraph

MWAWParagraph ReadySetGoGraphInternal::Shape::m_paragraph

the paragraph style

Referenced by ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), ReadySetGoGraph::sendText(), and Shape().

## ◆ m_points

MWAWVec2f ReadySetGoGraphInternal::Shape::m_points[2]

the line points

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), and ReadySetGoGraph::send().

## ◆ m_rotate

int ReadySetGoGraphInternal::Shape::m_rotate

the shape rotation: v6

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::send(), and Shape().

## ◆ m_style

MWAWGraphicStyle ReadySetGoGraphInternal::Shape::m_style

the graphic style

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::send(), and Shape().

## ◆ m_textId

int ReadySetGoGraphInternal::Shape::m_textId

the text link id

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), and Shape().

## ◆ m_textPositions

int ReadySetGoGraphInternal::Shape::m_textPositions[2]

the text limits: v4

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::sendText(), and Shape().

## ◆ m_type

Type ReadySetGoGraphInternal::Shape::m_type

the shape type

Referenced by ReadySetGoGraph::readShapeV2(), ReadySetGoGraph::send(), ReadySetGoGraph::sendText(), and Shape().

## ◆ m_vertices

std::vector<MWAWVec2f> ReadySetGoGraphInternal::Shape::m_vertices

the list of vertices : polygon

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::send(), and Shape().

## ◆ m_wrapRoundAround

bool ReadySetGoGraphInternal::Shape::m_wrapRoundAround

the round around wraping flag

Referenced by ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), ReadySetGoGraph::send(), and Shape().

The documentation for this struct was generated from the following file:

- ReadySetGoGraph.cxx